name: Offcanvas Styles
description: Paramters for the Off Canvas sidepanel section.
type: section

form:
  fields:

    background:
      type: input.colorpicker
      label: Background
      default: "#4db2b3"
    text-color:
      type: input.colorpicker
      label: Text
      default: "#eceeef"
    toggle-color:
      type: input.colorpicker
      label: Toggle Color
      default: "#4db2b3"
    toggle-visibility:
      type: select.selectize
      label: Toggle Visibility
      description: Choose the OffCanvas Toggle Visibility.
      default: 1
      options:
        1: Mobile Menu
        2: Always
    width:
      type: input.text
      label: Panel Width
      description: Set offcanvas size in rem, em, px, or percentage unit values
      default: "12rem"
      pattern: '\d+(\.\d+){0,1}(rem|em|ex|ch|vw|vh|vmin|vmax|%|px|cm|mm|in|pt|pc)'
